#include <bits/stdc++.h>
#define all(v) v.begin(), v.end()
#define pb push_back
#define ss second
#define ff first
#define vt vector
using namespace std;
typedef long long ll;
typedef vector<int> vi;
typedef vector<ll> vll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
typedef pair<double, int> pdi;
const ll inf = 1e16;
const int mod = 1e9+7;
const int maxn = 2e5 + 12;
void solve() {
	int n, m;
	cin >> n >> m;
	map<int, int> was;
	set<int> ans;
	for(int i = 0; i < m; i++) {
		int x;
		cin >> x;
		was[x]++;
		if(was[x] >= n)ans.insert(x);
	}
	cout << ans.size() << '\n';
	for(auto i : ans)cout << i << ' ';
}

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int times = 1;
	//cin >> times;
	for(int i = 1; i <= times; i++) {
		solve();
	}
	return 0;
}
